import request from "@/utils/request";

// 查询设计-井身结构数据列表
export function listSjJsdb(query) {
  return request({
    url: "/system/sjJsdb/list",
    method: "get",
    params: query,
  });
}

// 查询设计-井身结构数据详细
export function getSjJsdb(id) {
  return request({
    url: "/system/sjJsdb/" + id,
    method: "get",
  });
}

// 新增设计-井身结构数据
export function addSjJsdb(data) {
  return request({
    url: "/system/sjJsdb",
    method: "post",
    data: data,
  });
}

// 修改设计-井身结构数据
export function updateSjJsdb(data) {
  return request({
    url: "/system/sjJsdb",
    method: "put",
    data: data,
  });
}

// 删除设计-井身结构数据
export function delSjJsdb(id) {
  return request({
    url: "/system/sjJsdb/" + id,
    method: "delete",
  });
}

// 井身结构图（设计模块）
export function getSjJsjgt(params) {
  return request({
    url: "/system/sjJsdb/jsjgt",
    method: "get",
    params,
  });
}
